

# StartAssessment
<a name="API_StartAssessment"></a>

**Note**  
 AWS Migration Hub is no longer open to new customers as of November 7, 2025. For capabilities similar to AWS Migration Hub, explore [AWS Migration Hub](https://aws.amazon.com/transform).

 Starts the assessment of an on-premises environment. 

## Request Syntax
<a name="API_StartAssessment_RequestSyntax"></a>

```
POST /start-assessment HTTP/1.1
Content-type: application/json

{
   "assessmentDataSourceType": "string",
   "assessmentTargets": [ 
      { 
         "condition": "string",
         "name": "string",
         "values": [ "string" ]
      }
   ],
   "s3bucketForAnalysisData": "string",
   "s3bucketForReportData": "string"
}
```

## URI Request Parameters
<a name="API_StartAssessment_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_StartAssessment_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [assessmentDataSourceType](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-assessmentDataSourceType"></a>
The data source type of an assessment request to start.  
Type: String  
Valid Values: `StrategyRecommendationsApplicationDataCollector | ManualImport | ApplicationDiscoveryService`   
Required: No

 ** [assessmentTargets](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-assessmentTargets"></a>
List of criteria for assessment.  
Type: Array of [AssessmentTarget](API_AssessmentTarget.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.  
Required: No

 ** [s3bucketForAnalysisData](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-s3bucketForAnalysisData"></a>
 The S3 bucket used by the collectors to send analysis data to the service. The bucket name must begin with `migrationhub-strategy-`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*`   
Required: No

 ** [s3bucketForReportData](#API_StartAssessment_RequestSyntax) **   <a name="migrationhubstrategy-StartAssessment-request-s3bucketForReportData"></a>
 The S3 bucket where all the reports generated by the service are stored. The bucket name must begin with `migrationhub-strategy-`.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 63.  
Pattern: `.*[0-9a-z]+[0-9a-z\.\-]*[0-9a-z]+.*`   
Required: No

## Response Syntax
<a name="API_StartAssessment_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "assessmentId": "string"
}
```

## Response Elements
<a name="API_StartAssessment_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [assessmentId](#API_StartAssessment_ResponseSyntax) **   <a name="migrationhubstrategy-StartAssessment-response-assessmentId"></a>
 The ID of the assessment.   
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 52.  
Pattern: `.*[0-9a-z-:]+.*` 

## Errors
<a name="API_StartAssessment_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
 The user does not have permission to perform the action. Check the AWS Identity and Access Management (IAM) policy associated with this user.  
HTTP Status Code: 403

 ** InternalServerException **   
 The server experienced an internal error. Try again.   
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
 The AWS account has reached its quota of imports. Contact AWS Support to increase the quota for this account.   
HTTP Status Code: 402

 ** ThrottlingException **   
 The request was denied due to request throttling.   
HTTP Status Code: 429

## See Also
<a name="API_StartAssessment_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/migrationhubstrategy-2020-02-19/StartAssessment) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/migrationhubstrategy-2020-02-19/StartAssessment) 